Index: /DCWoRMS/trunk/sim_trace
===================================================================
--- /DCWoRMS/trunk/sim_trace	(revision 477)
+++ /DCWoRMS/trunk/sim_trace	(revision 481)
@@ -364,63 +338,89 @@
 u: Output_BROKER@grid at 39600.0: scheduling event type 21 for Input_ManagementSystem@cluster with delay 0.0
 u: Output_BROKER@grid at 39600.0: start processing
+u: Input_ManagementSystem@cluster at 39600.0: start processing
 u: Output_BROKER@grid at 39600.0: waiting for an event
-u: Input_ManagementSystem@cluster at 39600.0: start processing
 u: Input_ManagementSystem@cluster at 39600.0: scheduling event type 21 for ManagementSystem@cluster with delay 0.0
 u: Input_ManagementSystem@cluster at 39600.0: waiting for an event
 u: ManagementSystem@cluster at 39600.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
 u: ManagementSystem@cluster at 39600.0: waiting for an event
-u: ManagementSystem@cluster at 39600.0: scheduling event type 603 for ManagementSystem@cluster with delay 7200.0
-u: ManagementSystem@cluster at 39600.0: scheduling event type 606 for ManagementSystem@cluster with delay 7200.0
+u: ManagementSystem@cluster at 39600.0: scheduling event type 603 for ManagementSystem@cluster with delay 14400.0
+u: ManagementSystem@cluster at 39600.0: scheduling event type 606 for ManagementSystem@cluster with delay 14400.0
 u: ManagementSystem@cluster at 39600.0: waiting for an event
-u: ManagementSystem@cluster at 46800.0: no event cancelled
-u: ManagementSystem@cluster at 46800.0: scheduling event type 20 for Output_ManagementSystem@cluster with delay 0.0
-u: ManagementSystem@cluster at 46800.0: selected event type 606 (event time was 46800.0)
-u: ManagementSystem@cluster at 46800.0: waiting for an event
+u: ManagementSystem@cluster at 43200.0: no event cancelled
+u: ManagementSystem@cluster at 43200.0: scheduling event type 20 for Output_ManagementSystem@cluster with delay 0.0
+u: ManagementSystem@cluster at 43200.0: selected event type 606 (event time was 43200.0)
+u: ManagementSystem@cluster at 43200.0: waiting for an event
+u: Output_ManagementSystem@cluster at 43200.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
+u: Output_ManagementSystem@cluster at 43200.0: start processing
+u: Output_ManagementSystem@cluster at 43200.0: waiting for an event
+u: Input_BROKER@grid at 43200.0: start processing
+u: Input_BROKER@grid at 43200.0: scheduling event type 20 for BROKER@grid with delay 0.0
+u: Input_BROKER@grid at 43200.0: waiting for an event
+u: BROKER@grid at 43200.0: scheduling event type 20 for Users with delay 0.0
+u: BROKER@grid at 43200.0: waiting for an event
+u: Users at 43200.0: waiting for an event
 u: BROKER@grid at 46800.0: scheduling event type 604 for ManagementSystem@cluster with delay 0.0
 u: BROKER@grid at 46800.0: waiting for an event
 u: ManagementSystem@cluster at 46800.0: scheduling event type 605 for BROKER@grid with delay 0.0
 u: ManagementSystem@cluster at 46800.0: waiting for an event
-u: Output_ManagementSystem@cluster at 46800.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
-u: Output_ManagementSystem@cluster at 46800.0: start processing
-u: Output_ManagementSystem@cluster at 46800.0: waiting for an event
-u: Input_BROKER@grid at 46800.0: start processing
 u: BROKER@grid at 46800.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
 u: BROKER@grid at 46800.0: waiting for an event
-u: Input_BROKER@grid at 46800.0: scheduling event type 20 for BROKER@grid with delay 0.0
-u: Input_BROKER@grid at 46800.0: waiting for an event
 u: Output_BROKER@grid at 46800.0: scheduling event type 21 for Input_ManagementSystem@cluster with delay 0.0
 u: Output_BROKER@grid at 46800.0: start processing
 u: Input_ManagementSystem@cluster at 46800.0: start processing
-u: BROKER@grid at 46800.0: scheduling event type 20 for Users with delay 0.0
-u: BROKER@grid at 46800.0: waiting for an event
 u: Output_BROKER@grid at 46800.0: waiting for an event
 u: Input_ManagementSystem@cluster at 46800.0: scheduling event type 21 for ManagementSystem@cluster with delay 0.0
 u: Input_ManagementSystem@cluster at 46800.0: waiting for an event
-u: Users at 46800.0: waiting for an event
 u: ManagementSystem@cluster at 46800.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
 u: ManagementSystem@cluster at 46800.0: waiting for an event
-u: ManagementSystem@cluster at 46800.0: scheduling event type 603 for ManagementSystem@cluster with delay 5400.0
-u: ManagementSystem@cluster at 46800.0: scheduling event type 606 for ManagementSystem@cluster with delay 5400.0
+u: ManagementSystem@cluster at 46800.0: scheduling event type 603 for ManagementSystem@cluster with delay 10800.0
+u: ManagementSystem@cluster at 46800.0: scheduling event type 606 for ManagementSystem@cluster with delay 10800.0
 u: ManagementSystem@cluster at 46800.0: waiting for an event
-u: ManagementSystem@cluster at 52200.0: no event cancelled
-u: ManagementSystem@cluster at 52200.0: scheduling event type 20 for Output_ManagementSystem@cluster with delay 0.0
-u: ManagementSystem@cluster at 52200.0: selected event type 606 (event time was 52200.0)
-u: ManagementSystem@cluster at 52200.0: waiting for an event
-u: Output_ManagementSystem@cluster at 52200.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
-u: Output_ManagementSystem@cluster at 52200.0: start processing
-u: Output_ManagementSystem@cluster at 52200.0: waiting for an event
-u: Input_BROKER@grid at 52200.0: start processing
-u: Input_BROKER@grid at 52200.0: scheduling event type 20 for BROKER@grid with delay 0.0
-u: Input_BROKER@grid at 52200.0: waiting for an event
-u: BROKER@grid at 52200.0: scheduling event type 20 for Users with delay 0.0
-u: BROKER@grid at 52200.0: waiting for an event
-u: Users at 52200.0: scheduling event type -1 for GridStatistics with delay 0.0
-u: Users at 52200.0: scheduling event type -1 for Input_Users with delay 0.0
-u: Users at 52200.0: scheduling event type -1 for Output_Users with delay 0.0
-u: Users at 52200.0: scheduling event type -1 for GridSimShutdown with delay 0.0
-u: GridSimShutdown at 52200.0: scheduling event type -1 for GridInformationService with delay 0.0
-u: GridSimShutdown at 52200.0: scheduling event type -1 for GridStatistics with delay 0.0
-u: GridInformationService at 52200.0: scheduling event type -1 for ManagementSystem@cluster with delay 0.0
-u: GridInformationService at 52200.0: scheduling event type -1 for BROKER@grid with delay 0.0
-u: GridInformationService at 52200.0: scheduling event type -1 for Input_GridInformationService with delay 0.0
-u: GridInformationService at 52200.0: scheduling event type -1 for Output_GridInformationService with delay 0.0
+u: ManagementSystem@cluster at 50400.0: no event cancelled
+u: ManagementSystem@cluster at 50400.0: scheduling event type 20 for Output_ManagementSystem@cluster with delay 0.0
+u: ManagementSystem@cluster at 50400.0: selected event type 606 (event time was 50400.0)
+u: ManagementSystem@cluster at 50400.0: waiting for an event
+u: Output_ManagementSystem@cluster at 50400.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
+u: Output_ManagementSystem@cluster at 50400.0: start processing
+u: Output_ManagementSystem@cluster at 50400.0: waiting for an event
+u: Input_BROKER@grid at 50400.0: start processing
+u: Input_BROKER@grid at 50400.0: scheduling event type 20 for BROKER@grid with delay 0.0
+u: Input_BROKER@grid at 50400.0: waiting for an event
+u: BROKER@grid at 50400.0: scheduling event type 20 for Users with delay 0.0
+u: BROKER@grid at 50400.0: waiting for an event
+u: Users at 50400.0: waiting for an event
+u: ManagementSystem@cluster at 54000.0: no event cancelled
+u: ManagementSystem@cluster at 54000.0: scheduling event type 20 for Output_ManagementSystem@cluster with delay 0.0
+u: ManagementSystem@cluster at 54000.0: selected event type 606 (event time was 54000.0)
+u: ManagementSystem@cluster at 54000.0: waiting for an event
+u: Output_ManagementSystem@cluster at 54000.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
+u: Output_ManagementSystem@cluster at 54000.0: start processing
+u: Output_ManagementSystem@cluster at 54000.0: waiting for an event
+u: Input_BROKER@grid at 54000.0: start processing
+u: Input_BROKER@grid at 54000.0: scheduling event type 20 for BROKER@grid with delay 0.0
+u: Input_BROKER@grid at 54000.0: waiting for an event
+u: BROKER@grid at 54000.0: scheduling event type 20 for Users with delay 0.0
+u: BROKER@grid at 54000.0: waiting for an event
+u: Users at 54000.0: waiting for an event
+u: ManagementSystem@cluster at 57600.0: no event cancelled
+u: ManagementSystem@cluster at 57600.0: scheduling event type 20 for Output_ManagementSystem@cluster with delay 0.0
+u: ManagementSystem@cluster at 57600.0: selected event type 606 (event time was 57600.0)
+u: ManagementSystem@cluster at 57600.0: waiting for an event
+u: Output_ManagementSystem@cluster at 57600.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
+u: Output_ManagementSystem@cluster at 57600.0: start processing
+u: Output_ManagementSystem@cluster at 57600.0: waiting for an event
+u: Input_BROKER@grid at 57600.0: start processing
+u: Input_BROKER@grid at 57600.0: scheduling event type 20 for BROKER@grid with delay 0.0
+u: Input_BROKER@grid at 57600.0: waiting for an event
+u: BROKER@grid at 57600.0: scheduling event type 20 for Users with delay 0.0
+u: BROKER@grid at 57600.0: waiting for an event
+u: Users at 57600.0: scheduling event type -1 for GridStatistics with delay 0.0
+u: Users at 57600.0: scheduling event type -1 for Input_Users with delay 0.0
+u: Users at 57600.0: scheduling event type -1 for Output_Users with delay 0.0
+u: Users at 57600.0: scheduling event type -1 for GridSimShutdown with delay 0.0
+u: GridSimShutdown at 57600.0: scheduling event type -1 for GridInformationService with delay 0.0
+u: GridSimShutdown at 57600.0: scheduling event type -1 for GridStatistics with delay 0.0
+u: GridInformationService at 57600.0: scheduling event type -1 for ManagementSystem@cluster with delay 0.0
+u: GridInformationService at 57600.0: scheduling event type -1 for BROKER@grid with delay 0.0
+u: GridInformationService at 57600.0: scheduling event type -1 for Input_GridInformationService with delay 0.0
+u: GridInformationService at 57600.0: scheduling event type -1 for Output_GridInformationService with delay 0.0
Index: /DCWoRMS/trunk/src/gridsim/gssim/DCWormsTags.java
===================================================================
--- /DCWoRMS/trunk/src/gridsim/gssim/DCWormsTags.java	(revision 481)
+++ /DCWoRMS/trunk/src/gridsim/gssim/DCWormsTags.java	(revision 481)
@@ -0,0 +1,53 @@
+package gridsim.gssim;
+
+import gridsim.GridSimTags;
+
+/**
+ * @author Marcin Krystek
+ */
+public class DCWormsTags extends GridSimTags {
+	
+	protected static final int GSSIMBASE = 600; 
+	
+	public static final int UPDATE= GSSIMBASE - 1;
+	
+	public static final int TIMER = GSSIMBASE + 1;
+	
+	public static final int TASK_READY_FOR_EXECUTION = GSSIMBASE + 2;
+	
+	public static final int TASK_EXECUTION_FINISHED = GSSIMBASE + 3;
+	
+
+	/**
+	 * Message tag: query resource about its current state in object form (load, queues, etc.)
+	 */ 
+	public static final int QUERY_RESOURCE_DESC = GSSIMBASE + 4; 
+
+	public static final int QUERY_RESOURCE_DESC_RESULT = GSSIMBASE + 5; 
+	
+	public static final int TASK_REQUESTED_TIME_EXPIRED = GSSIMBASE + 6;
+
+	
+    public static final int CREATED = 0;
+
+    public static final int SUBMITTED = 1;
+    
+    public static final int READY = 2;
+
+    public static final int QUEUED = 3;
+
+    public static final int INEXEC = 4;
+
+    public static final int SUCCESS = 5;
+
+    public static final int FAILED = 6;
+
+    public static final int CANCELED = 7;
+
+    public static final int PAUSED = 8;
+
+    public static final int RESUMED = 9;
+
+    public static final int FAILED_RESOURCE_UNAVAILABLE = 10;
+
+}
Index: /DCWoRMS/trunk/src/gridsim/gssim/filter/ExecTaskFilter.java
===================================================================
--- /DCWoRMS/trunk/src/gridsim/gssim/filter/ExecTaskFilter.java	(revision 481)
+++ /DCWoRMS/trunk/src/gridsim/gssim/filter/ExecTaskFilter.java	(revision 481)
@@ -0,0 +1,45 @@
+package gridsim.gssim.filter;
+
+import eduni.simjava.Sim_event;
+import gridsim.filter.FilterResult;
+import gssim.schedframe.scheduling.Executable;
+
+/**
+ * @author wojtek
+ *
+ */
+public class ExecTaskFilter extends FilterResult {
+
+	public ExecTaskFilter(int gridletID, int tag) {
+		super(gridletID, tag);
+	}
+
+	public boolean match(Sim_event ev) {
+
+		if (ev == null) {
+			return false;
+		}
+
+		boolean result = false;
+		try {
+
+			if (tag_ == ev.get_tag()) {
+				Object obj = ev.get_data();
+
+				if (obj instanceof Executable) {
+
+					Executable exec = (Executable) obj;
+
+					if (exec.getUniqueId() == eventID_) {
+						result = true;
+					}
+				}
+			}
+		} catch (Exception e) {
+			result = false;
+		}
+
+		return result;
+	}
+
+}
Index: /DCWoRMS/trunk/src/simulator/DCWormsConstants.java
===================================================================
--- /DCWoRMS/trunk/src/simulator/DCWormsConstants.java	(revision 481)
+++ /DCWoRMS/trunk/src/simulator/DCWormsConstants.java	(revision 481)
@@ -0,0 +1,102 @@
+package simulator;
+
+import eduni.simjava.Sim_stat;
+
+public class DCWormsConstants {
+
+	public static final String START_TIME="start_time";
+	
+	public static final String END_TIME = "end_time";
+	
+	public static final String RESOURCES = "resources";
+
+	
+	/**
+	 * the links have the maximal baud rate - no delays
+	 */
+	public static final double DEFAULT_BAUD_RATE = Double.MAX_VALUE;
+	
+	/**
+	 * Default name suffix of the allocation policy for every resource
+	 */
+	public static final String DEFAULT_RESOURCE_MANAGER_NAME = "ResourceManager";
+	
+	/**
+	 * The cost of processing per time unit
+	 */
+	public static final float DEFAULT_RESOURCE_PROCESSING_COST = 1f;
+	
+	/**
+	 * The default number of tasks in a single job
+	 */
+	public static final int DEFAULT_TASK_COUNT_IN_SINGLE_JOB = 1;
+
+	/**
+	 * The name of the broker interface entity (the entity that invokes proper methods on the given plugin)
+	 */
+	public static final String BrokerInterfaceEntityName = "BrokerInterfaceEntity";
+	
+	/**
+	 * The name of the output file with generated graphs
+	 */
+	public static final String GraphsFileName = "GssGraphs.sjg";
+	
+	/**
+	 * The name of the file where the resources' statistical data are to be stored
+	 */
+	public static final String resourceStatisticsOutputFileName = "Stats_Resources.txt"; 
+	
+	/**
+	 * The name of the file where the tasks' statistical data are to be stored
+	 */
+	public static final String tasksStatisitcsOutputFileName = "Stats_Tasks.txt";  
+
+	
+	public static final String MANAGEMENT_SYSTEM = "ManagementSystem";
+
+	
+/*
+ *  
+ * STATISTICAL INFORMATION VARIABLES AND METHODS 
+ * 
+ */
+	
+	/**
+	 * The utilization measure name
+	 */
+	public static final String USAGE_MEASURE_NAME = "Resource's utilization";
+	
+	/**
+	 * The waiting tasks queue length measure name
+	 */
+	public static final String TASKS_QUEUE_LENGTH_MEASURE_NAME = "Mean queue task count";
+	
+	/**
+	 * The paused tasks list length measure name
+	 */
+	public static final String PAUSED_TASKS_LIST_LENGTH_MEASURE_NAME = "Paused tasks list length";
+	
+	/**
+	 * @param queuesCount the number of queues for which the measures are to be added
+	 * @return a Sim_stat object to be used in all resources
+	 */
+	public static Sim_stat getResourcesStatisticsObject(int queuesCount) {		
+		Sim_stat stat = new Sim_stat();
+		//stat.add_measure(Sim_stat.ARRIVAL_RATE);
+		//stat.add_measure(Sim_stat.QUEUE_LENGTH);
+		//stat.add_measure(Sim_stat.RESIDENCE_TIME);
+		//stat.add_measure(Sim_stat.SERVICE_TIME);
+		stat.add_measure(Sim_stat.THROUGHPUT);
+		//stat.add_measure(Sim_stat.UTILISATION);
+		//stat.add_measure(Sim_stat.WAITING_TIME);
+		
+		stat.add_measure(USAGE_MEASURE_NAME, Sim_stat.STATE_BASED, true); //continuous
+		for (int i = 0; i < queuesCount; ++i) {
+			stat.add_measure(TASKS_QUEUE_LENGTH_MEASURE_NAME+"_"+Integer.toString(i), Sim_stat.STATE_BASED, true); //continuous
+		}
+		stat.add_measure(PAUSED_TASKS_LIST_LENGTH_MEASURE_NAME, Sim_stat.STATE_BASED, true); //continuous
+		//stat.add_measure(TASKS_AR_QUEUE_LENGTH_MEASURE_NAME, Sim_stat.STATE_BASED, true); //continuous
+		return stat;
+	}
+
+}
Index: /DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java
===================================================================
--- /DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java	(revision 477)
+++ /DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java	(revision 481)
@@ -26,5 +26,5 @@
 import simulator.reader.ResourceReader;
 import simulator.stats.AccumulatedStatistics;
-import simulator.stats.implementation.WormsStatistics;
+import simulator.stats.implementation.DCWormsStatistics;
 import simulator.utils.LogErrStream;
 import simulator.workload.WorkloadLoader;
@@ -40,5 +40,5 @@
  * {@link #main(String[])} method used to invoke the program. This class also
  * provides second possibility to start the simulator, namely one may use the
- * {@link #performSimulation(ConfigurationOptions, WormsStatistics)} method.
+ * {@link #performSimulation(ConfigurationOptions, DCWormsStatistics)} method.
  * In this case, the input parameter, describing the simulation options, must be
  * earlier prepared. The results of the simulation can be acquired using the
@@ -269,5 +269,5 @@
 		rc.setInitList(null);
 		
-		WormsUsers wl = new WormsUsers("Users",
+		DCWormsUsers wl = new DCWormsUsers("Users",
 				rc.getScheduler().get_name(), workload);
 		
@@ -275,5 +275,5 @@
 		long stopSimulation = System.currentTimeMillis();
 
-		WormsStatistics stats = new WormsStatistics(simulationIdentifier,
+		DCWormsStatistics stats = new DCWormsStatistics(simulationIdentifier,
 				options, wl, statsOutputPath, rc);
 		accumulatedStatistics.add(stats);
Index: /DCWoRMS/trunk/src/simulator/stats/AccumulatedStatistics.java
===================================================================
--- /DCWoRMS/trunk/src/simulator/stats/AccumulatedStatistics.java	(revision 477)
+++ /DCWoRMS/trunk/src/simulator/stats/AccumulatedStatistics.java	(revision 481)
@@ -10,5 +10,5 @@
 import java.util.List;
 
-import simulator.stats.implementation.WormsStatistics;
+import simulator.stats.implementation.DCWormsStatistics;
 import gridsim.Accumulator;
 
Index: /DCWoRMS/trunk/src/simulator/stats/implementation/TaskStats.java
===================================================================
--- /DCWoRMS/trunk/src/simulator/stats/implementation/TaskStats.java	(revision 480)
+++ /DCWoRMS/trunk/src/simulator/stats/implementation/TaskStats.java	(revision 481)
@@ -49,11 +49,6 @@
 
 	public String getResName() {
-		String resNames[] = this.task.getAllResourceName();
-		String resName = "";
-		for (int i = 0; i < resNames.length; i++) {
-			resName += resNames[i];
-			if (resNames.length > 1)
-				resName += " ";
-		}
+		String resName = this.task.getSchedulerName();
+
 		return resName;
 	}
